{% extends "templates/form.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "govuk/components/summary-list/macro.njk" import govukSummaryList %}
{% from "macros/hce-summary-table.njk" import hceSummaryTable %}

{% block formContent %}
<h1>{{heading}}</h1>

<div class="nhsuk-grid-row">
  <div class="nhsuk-grid-column-one-half">
    {# Certificate details #}
    {{ hceSummaryTable({
      text: { heading: tables.certificateDetails.title },
      rows: certificateDetailsData
    }) }}
  </div>

  <div class="nhsuk-grid-column-one-half">
    {# Personal details #}
    {{ hceSummaryTable({
      text: { heading: tables.personalDetails.title, link: tables.personalDetails.link },
      url: editLink,
      rows: personalDetailsData
    }) }}
  </div>
</div>

{# Buttons #}
<div class="form-group">
  {# back #}
  {{ button({
    text: backButtonText,
    href: contextPath + previous,
    classes: "hce-telesales-blue-button",
    preventDoubleClick: true,
    attributes: {
      id: 'back-button'
    }
  }) }}
  {# submit #}
  {{ button({
    text: submitButtonText,
    classes: "hce-telesales-blue-button",
    preventDoubleClick: true,
    attributes: {
      id: 'submit-button'
    }
  }) }}
</div>
{% endblock %}